Bug 578135 - Review Request: patcher - Quick creation of patches against a project source tree
Summary: Review Request: patcher - Quick creation of patches against a project source ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-30 11:04 UTC by Michael S.
Modified: 2015-02-14 12:05 UTC (History)
5 users (show)

Fixed In Version: patcher-0.6-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-07 19:33:40 UTC
Type: ---
gauret: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael S. 2010-03-30 11:04:14 UTC
Spec URL: http://www.zarb.org/~misc/tmp/patcher.spec
SRPM URL: http://www.zarb.org/~misc/tmp/patcher-0.6-1.fc13.src.rpm
Description: Patcher is a tool for quick creation of patches against a project source tree.
Patcher functionality resembles a lightweight version control system.
It has no repository, and only controls differences between a pristine version
and a working copy.

Comment 1 Terje Røsten 2010-03-30 20:43:45 UTC
Some initial comments:

 o build and section don't follow common python pattern?
 o use %global over %define
 o %_foo is not common, please use %{__foo}
 o without setuptools in buildreq, will this build in koji?
 o %defattr(-,root,root) -> %detattr(-,root,root,-)

Seems like a nice and useful tool.

Comment 2 Michael S. 2010-03-30 21:41:14 UTC
I have adressed all comments ( or I think I did ), except the %build section, I am not sure, should I remove the section, or add a python setup.py build, despites the package being noarch ( and therefor, doing nothing ) ?

And it build with mock, so I guess it should be ok for koji.

Spec URL: http://www.zarb.org/~misc/tmp/patcher.spec
SRPM URL: http://www.zarb.org/~misc/tmp/patcher-0.6-1.1.fc13.src.rpm

( sorry, someone told I should have started at 0, instead of one ).

Comment 3 Terje Røsten 2010-03-30 22:07:28 UTC
I use this (however, might be outdated, rpm seems to compile itself these days)

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

Why do you want to remove pyc files?

You have to escape macros in changelog %foo -> %%foo.

Please be more explicit in %files, spell out the %{_bindir} line.

I would move this to prep section:

# remove rpmlint warning
%{__sed} -i -e 's|^#!/usr/bin/python.*||' $RPM_BUILD_ROOT/%python_sitelib/%{name}/{commands,}/*py


Don't lift to 1.1, use 2 and now 3.

And now some pedantic stuff: I like Summary on top and no empty lines in the
top section.


koji builds fine:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=2085482

Comment 4 Terje Røsten 2010-04-11 12:12:07 UTC
I would like to see this in Fedora. 
I have updated the package with various fixes to speed things up.

It's available here:

spec: http://terjeros.fedorapeople.org/patcher/patcher.spec
srpm: http://terjeros.fedorapeople.org/patcher/patcher-0.6-3.fc11.src.rpm
diff: http://terjeros.fedorapeople.org/patcher/patcher.spec.patch
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2108277

Please have a look and feel free to integrated the fixes so the revies can continue.

Comment 5 Terje Røsten 2010-05-17 10:00:29 UTC
Any progress?

Comment 6 Terje Røsten 2010-06-13 21:13:38 UTC
Hi Michael,

still any interest in maintaining patcher in Fedora?

Comment 7 Michael S. 2010-06-14 07:36:23 UTC
I am, but I do not know what are the next steps, or if there is something I need to do ( since that's the first time I submit a package, I may have overlooked some part of the procedure ).

Comment 8 Thomas Spura 2010-06-14 08:03:09 UTC
(In reply to comment #7)
> I am, but I do not know what are the next steps, or if there is something I
> need to do ( since that's the first time I submit a package, I may have
> overlooked some part of the procedure ).    

It seems to be the most important one ;)

See:
https://fedoraproject.org/wiki/PackageMaintainers/Join#Create_Your_Review_Request

I was guessing you are already sponsored, and Terje probably too...

For knowing hot to get sponsored, see:
https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Without that, you don't have commit access to import your package.

Comment 9 Aurelien Bompard 2010-08-21 06:50:54 UTC
The package looks good, with Terje's modifications. APPROVED.
Michael, I'll be sponsoring you.
Sorry for the wait, it seem that summer slows everything down...

Comment 10 Rakesh Pandit 2010-08-24 04:34:58 UTC
@Aurelien

Hi, as you have approved the package I am assigning the request to you and changing the state as well.

Comment 11 Michael S. 2010-08-30 22:37:24 UTC
New Package SCM Request
=======================
Package Name: patcher
Short Description:  Patcher is a tool for quick creation of patches against a project source tree.
Owners: misc
Branches: f13 f14

Comment 12 Kevin Fenzi 2010-09-01 19:27:13 UTC
Git done (by process-git-requests).

Comment 13 Michael S. 2010-09-03 13:02:47 UTC
Ok, I have submitted it to rawhide, I assume that I can close this ( or maybe I need to add some more information ? )

Comment 14 Thomas Spura 2010-10-07 19:33:40 UTC
(In reply to comment #13)
> Ok, I have submitted it to rawhide, I assume that I can close this ( or maybe I
> need to add some more information ? )

Yes, you could close this as "CLOSED RAWHIDE", because you build it there, or give the bug # to the update at [1] and bodhi will do the rest and close this.
(You wanted to have branches for f13 and f14, but there it's not yet build.
 You could do a "fedpkg switch-branch f14", "git cherry-pick master" and "fedpkg build", so it's build on f14. After it's build you could do a update at [1] or with "fedpkg update". See [2] for more information.)

Feel free to ask, if you have further questions to get started...
(That should be job of your sponsor, but it seems, he doesn't answer...)

[1] https://admin.fedoraproject.org/updates
[2] https://fedoraproject.org/wiki/Using_Fedora_GIT

Comment 15 Fedora Update System 2010-10-19 06:47:09 UTC
patcher-0.6-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/patcher-0.6-3.fc14

Comment 16 Fedora Update System 2010-10-19 06:47:19 UTC
patcher-0.6-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/patcher-0.6-3.fc13

Comment 17 Fedora Update System 2010-10-28 06:21:47 UTC
patcher-0.6-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-10-28 22:23:52 UTC
patcher-0.6-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Michael S. 2015-01-19 13:02:33 UTC
Package Change Request
======================
Package Name: patcher
New Branches: epel7
Owners: misc
InitialCC:

Comment 20 Gwyn Ciesla 2015-01-20 13:33:51 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2015-02-14 12:05:02 UTC
patcher-0.6-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/patcher-0.6-9.el7


Note You need to log in before you can comment on or make changes to this bug.